jQuery(function($) {
    /********* Table *********/

    $('.fussballdaten-table').each(function() {
        var $this = $(this);

        if ($this.attr('data-lazy-load') == 'true') {
            
            var competitionId = $this.attr('data-competition-id');
            
            $.ajax({
                url: ajax_url + '?action=fussballdaten_get_table&id='+competitionId,
                dataType: 'json',
                type: 'GET',
            }).done(function(response) {
                if( response.standing ) {
                    var $table = $this.find('.table');

                    $this.find('.loader-wrapper').remove();
                    $this.find('.row.date').removeClass('hide');

                    $.each(response.standing, function (index, team) {
                        $table.append('<div class="row"><div class="cell">' + team.position + '</div><div class="cell">' + team.teamName + '</div><div class="cell">' + team.playedGames + '</div><div class="cell">' + team.goalDifference + '</div><div class="cell">' + team.points + '</div></div>');
                    });
                }
            });
        }
    });

    /********* Current Matchday *********/
    $('.fussballdaten-matchday').each(function() {
        var $this = $(this);

        if ($this.attr('data-lazy-load') == 'true') {

            var competitionId = $this.attr('data-competition-id');

            $.ajax({
                url: ajax_url + '?action=fussballdaten_get_matchday&id=' + competitionId,
                dataType: 'json',
                type: 'GET',
            }).done(function(response) {
                if( response.fixture ) {
                    var date = '';
                    var $wrapper = $this.find('.table');

                    $this.find('.loader-wrapper').remove();

                    $.each(response.fixture, function (index, match) {
                        var html_class = '';
                        var homeScore = '-';
                        var awayScore = '-';

                        if ( date != moment(match['date']).format('X') ) {
                            date = moment(match['date']).format('X');

                            $wrapper.append('<div class="row date"><div class="cell">' + moment(match['date']).format('DD.MM.Y - HH:mm') + ' Uhr</div><div class="cell"></div><div class="cell"></div></div>');
                        }

                        if ( match.status != 'TIMED' ) {
                            homeScore = match.result.goalsHomeTeam;
                            awayScore = match.result.goalsAwayTeam;
                        }

                        if ( match.status == 'FINISHED' ) {
                            html_class += ' finished';
                        }

                        $wrapper.append('<div class="row"><div class="cell">' + match.homeTeamName + '</div><div class="cell">' + match.awayTeamName + '</div><div class="cell' + html_class + '">' + homeScore + ':' + awayScore + '</div></div>');
                    })
                }
            });
        }
    });
});