<?php

namespace Crt\Fussballdaten\src;

use Crt\Fussballdaten\src\service\CacheService;

/**
 * Class Singleton
 * @package Crt\Fussballdaten\src;
 */

class Cronjob extends Singleton {

	/**
	 * Add Hooks
	 */
	public function init() {
		add_filter('cron_schedules', array($this, 'cronjob_minute'));
		add_action('fussbaldaten_cron', array($this, 'update_cache'));
	}

	/**
	 * add cron
	 */
	public function add_cron() {
		if (!wp_next_scheduled('fussbaldaten_cron')) {
			wp_schedule_event(strtotime('00:00:00'), 'minute', 'fussbaldaten_cron');
		}
	}

	/**
	 * remove cron
	 */
	public function remove_cron() {
		wp_clear_scheduled_hook('fussbaldaten_cron');
	}

	/**
	 * update cron
	 */
	public function update_cache() {
		CacheService::get_instance()->update_cache();
	}

	/**
	 * @param $schedules
	 *
	 * @return mixed
	 */
	public function cronjob_minute($schedules) {
		$schedules['minute'] = array(
			'interval' => 60, // Every Minute
			'display'  => __('Every Minute'),
		);

		return $schedules;
	}

}