<?php

namespace Crt\Fussballdaten\src;

/**
 * Class Singleton
 * @package Crt\Fussballdaten\src;
 */
class Singleton {

	/**
	 * list of singletons
	 *
	 * @var static[]
	 */
	protected static $__singleton_objects = array();

	/**
	 * Singletons do not support a public constructor. Override init() if
	 * your class needs to initialize components on creation.
	 */
	protected final function __construct() {
		$this->init();
	}

	/**
	 * Called within __construct(), override if neccessary.
	 */
	public function init() {
	}

	/**
	 * Returns an unique instance of current child class.
	 *
	 * @return  static
	 */
	public static final function get_instance() {
		// classname
		$class_name = get_called_class();

		// serach for
		if (!isset(self::$__singleton_objects[$class_name])) {
			self::$__singleton_objects[$class_name] = new $class_name();
		}

		// return object
		return self::$__singleton_objects[$class_name];
	}
}
