<?php
namespace Crt\Fussballdaten\src\api;

use Crt\Fussballdaten\Fussballdaten;

/**
 * Class TableRestRoute
 * @package Crt\Fussballdaten\src\api
 */
class TableRestRoute extends FussballdatenRestRoute {

	/**
	 * Register the routes for the objects of the controller.
	 */
	public function __construct() {
		$this->base = 'competition/standings';

		register_rest_route($this->namespace, '/' . $this->base, array(
			array(
				'methods'             => \WP_REST_Server::READABLE,
				'callback'            => array($this, 'get_data'),
				'permission_callback' => array($this, 'get_items_permissions_check'),
				'args'                => array(),
			),
		));
	}

	/**
	 * Get a collection of items
	 *
	 * @param \WP_REST_Request $request Full data about the request.
	 *
	 * @return \WP_Error|WP_REST_Response
	 */
	public function get_data($request) {
		$data = $this->prepare_response_for_collection(Fussballdaten::get_instance()->getCache()['table']);

		return new \WP_REST_Response($data, 200);
	}
}
